public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-libs/minizip-ng/
Date: Sat, 28 Oct 2023 02:02:12 +0000 (UTC)	[thread overview]
Message-ID: <1698458503.0c7b6b134f2884fcefeeb60a9e0f539b595e8ee9.sam@gentoo> (raw)

commit:     0c7b6b134f2884fcefeeb60a9e0f539b595e8ee9
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 28 02:01:24 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Oct 28 02:01:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c7b6b13

sys-libs/minizip-ng: add 4.0.2

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-libs/minizip-ng/Manifest                |  1 +
 sys-libs/minizip-ng/minizip-ng-4.0.2.ebuild | 97 +++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/sys-libs/minizip-ng/Manifest b/sys-libs/minizip-ng/Manifest
index 9025079640b3..f7b468aff7a7 100644
--- a/sys-libs/minizip-ng/Manifest
+++ b/sys-libs/minizip-ng/Manifest
@@ -1,3 +1,4 @@
 DIST minizip-ng-3.0.10.tar.gz 771145 BLAKE2B 6bab59f830b8be929b6293c9408dd70165ffe094a71bcff82eab71f9d077f4d5360f6081e0ca631090810dfc58a81b03926c797e5c156d0f1437df78292a1f09 SHA512 38021137bebb8805279e729e0801ee15133e6379bdd1862d0dea60f13fb1d63402477f3ea9a6c22fc8c85eb13dd9b38d9536680806850060a44a5a9f015fa829
 DIST minizip-ng-4.0.0.tar.gz 766989 BLAKE2B c46bccb277ee5c712710aae41a7b46af4d60fb8fecad7489b97fc4475059f5f8cfbb1aa2d3693d25ada90f3089535e0d060c7a918df1d0fd635d57cbc93a317d SHA512 be3a9e9580847d595abbd200ec89a97e38086cab5b34d3a4db1507247ed04f9209290945989b200225ea412ee0e37fb9f1947404d1631d2dfeb5c6dc55ce3d05
 DIST minizip-ng-4.0.1.tar.gz 769661 BLAKE2B 30147d8643844d9ea10f3f860d41e5025b2c8a5e3bb197722cf3e9ea3d30f40d78974a437425df660db777d9593db9e39b2293db7733ccfaf50c5eba4982a6fe SHA512 857450c3a51a75269afdffdcbaaa6d05894913dd98a91e307129b5e61766f6e3d20bca5841afa41bbe6ca88ad0666c462079a5e1fe73718c2dffd05219c8f258
+DIST minizip-ng-4.0.2.tar.gz 769745 BLAKE2B 7e983169d637e0b94ad6f0c7ceca743fcc54fe1c2f98bae9cb4e9050fe85cb2d46d36cb185d5eb7c0b577d606d9eedfecc3817048b3e7006287fa5e001bed4a5 SHA512 4e626a312c35e5f003e4f365261ef3e1bf33488f8698ec31b1b33d32f6a34ed0b54f0e3ffdae658e5b441532dde3cee45c3822532f52e68ea588e809e8f4081c

diff --git a/sys-libs/minizip-ng/minizip-ng-4.0.2.ebuild b/sys-libs/minizip-ng/minizip-ng-4.0.2.ebuild
new file mode 100644
index 000000000000..4f3a48149147
--- /dev/null
+++ b/sys-libs/minizip-ng/minizip-ng-4.0.2.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Worth keeping an eye on 'develop' branch upstream for possible backports,
+# as they copied this practice from sys-libs/zlib upstream.
+
+inherit cmake-multilib
+
+DESCRIPTION="Fork of the popular zip manipulation library found in the zlib distribution"
+HOMEPAGE="https://github.com/zlib-ng/minizip-ng"
+SRC_URI="https://github.com/zlib-ng/minizip-ng/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0/4"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="compat openssl test zstd"
+RESTRICT="!test? ( test )"
+
+# Automagically prefers sys-libs/zlib-ng if installed, so let's
+# just depend on it as presumably it's better tested anyway.
+RDEPEND="
+	app-arch/bzip2[${MULTILIB_USEDEP}]
+	app-arch/xz-utils
+	dev-libs/libbsd[${MULTILIB_USEDEP}]
+	sys-libs/zlib-ng[${MULTILIB_USEDEP}]
+	virtual/libiconv
+	compat? ( !sys-libs/zlib[minizip] )
+	openssl? ( dev-libs/openssl:=[${MULTILIB_USEDEP}] )
+	zstd? ( app-arch/zstd:=[${MULTILIB_USEDEP}] )
+"
+DEPEND="
+	${RDEPEND}
+	test? ( dev-cpp/gtest )
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-4.0.1-libbsd-overlay.patch
+)
+
+multilib_src_configure() {
+	local mycmakeargs=(
+		-DMZ_COMPAT=$(usex compat)
+
+		-DMZ_BUILD_TESTS=$(usex test)
+		-DMZ_BUILD_UNIT_TESTS=$(usex test)
+
+		-DMZ_FETCH_LIBS=OFF
+		-DMZ_FORCE_FETCH_LIBS=OFF
+
+		# Compression library options
+		-DMZ_ZLIB=ON
+		-DMZ_BZIP2=ON
+		-DMZ_LZMA=ON
+		-DMZ_ZSTD=$(usex zstd)
+		-DMZ_LIBCOMP=OFF
+
+		# Encryption support options
+		-DMZ_PKCRYPT=ON
+		-DMZ_WZAES=ON
+		-DMZ_OPENSSL=$(usex openssl)
+		-DMZ_LIBBSD=ON
+
+		# Character conversion options
+		-DMZ_ICONV=ON
+	)
+
+	cmake_src_configure
+}
+
+multilib_src_test() {
+	local myctestargs=(
+		# TODO: investigate
+		-E "(raw-unzip-pkcrypt|raw-append-unzip-pkcrypt|raw-erase-unzip-pkcrypt|deflate-unzip-pkcrypt|deflate-append-unzip-pkcrypt|deflate-erase-unzip-pkcrypt|bzip2-unzip-pkcrypt|bzip2-append-unzip-pkcrypt|bzip2-erase-unzip-pkcrypt|lzma-unzip-pkcrypt|lzma-append-unzip-pkcrypt|lzma-erase-unzip-pkcrypt|xz-unzip-pkcrypt|xz-append-unzip-pkcrypt|xz-erase-unzip-pkcrypt|zstd-unzip-pkcrypt|zstd-append-unzip-pkcrypt|zstd-erase-unzip-pkcrypt)"
+	)
+
+	# TODO: A bunch of tests end up looping and writing over each other's files
+	# It gets better with a patch applied (see https://github.com/zlib-ng/minizip-ng/issues/623#issuecomment-1264518994)
+	# but still hangs.
+	cmake_src_test -j1
+}
+
+multilib_src_install_all() {
+	if ! use compat && use test ; then
+		# Test binaries, bug #874591
+		rm "${ED}"/usr/bin/minigzip || die
+		rm "${ED}"/usr/bin/minizip-ng || die
+	fi
+}
+
+pkg_postinst() {
+	if use compat ; then
+		ewarn "minizip-ng is experimental and replacing the system zlib[minizip] is dangerous"
+		ewarn "Please be careful!"
+	fi
+}


             reply	other threads:[~2023-10-28  2:02 UTC|newest]

Thread overview: 32+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-10-28  2:02 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-05-05  6:26 [gentoo-commits] repo/gentoo:master commit in: sys-libs/minizip-ng/ Sam James
2025-04-07 15:43 Arthur Zamarin
2025-04-07  8:49 Sam James
2025-04-07  7:38 Sam James
2025-04-07  6:56 Sam James
2025-04-07  6:56 Sam James
2025-03-07 18:48 Sam James
2025-02-23 12:22 Jakov Smolić
2025-01-09 23:05 Sam James
2024-08-29  5:23 Jakov Smolić
2024-07-15  2:23 Sam James
2024-07-15  2:23 Sam James
2024-07-15  2:23 Sam James
2024-05-28 12:35 Sam James
2024-03-07 20:21 Sam James
2024-01-02  6:54 Sam James
2023-10-28  2:02 Sam James
2023-10-27 15:20 Michał Górny
2023-08-05  1:29 Sam James
2023-06-17  3:59 Sam James
2023-06-16  1:42 Sam James
2023-05-20  5:09 Sam James
2023-04-09 18:31 Sam James
2023-03-16 23:51 Sam James
2023-02-28 12:12 Yixun Lan
2023-02-26 19:28 Arthur Zamarin
2023-02-26 17:33 Arthur Zamarin
2023-02-26 17:08 Arthur Zamarin
2022-12-31 23:09 Sam James
2022-10-07 19:58 Sam James
2022-10-02  1:09 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1698458503.0c7b6b134f2884fcefeeb60a9e0f539b595e8ee9.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox